Bug 29135 - Долгая и неочевидная установка системы
: Долгая и неочевидная установка системы
Status: CLOSED FIXED
: Simply Linux
(All bugs in Simply Linux/installer)
: Не указана
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2013-07-04 13:18 by
Modified: 2013-07-23 16:45 (History)


Attachments
Вывод lsusb (550 bytes, text/plain)
2013-07-04 13:18, Motsyo Gennadi
no flags Details
Вывод lspci (2.66 KB, text/plain)
2013-07-04 13:18, Motsyo Gennadi
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-07-04 13:18:01
Created an attachment (id=5872) [details]
Вывод lsusb

Подробности:
http://lists.altlinux.org/pipermail/community/2013-July/679748.html

lsusb и lspci во вложении.
------- Comment #1 From 2013-07-04 13:18:51 -------
Created an attachment (id=5873) [details]
Вывод lspci
------- Comment #2 From 2013-07-04 13:20:46 -------
Подробности:
http://lists.altlinux.org/pipermail/community/2013-July/679748.html
------- Comment #3 From 2013-07-04 13:25:50 -------
Установка с Live или с install-диска?
------- Comment #4 From 2013-07-04 13:29:42 -------
(В ответ на комментарий №3)
> Установка с Live или с install-диска?

LiveDVD5 i586, это тот, который весом 815 метров. Ставилось с флешки. Пробовал
гнезда USB2 и USB3 - одинаково.
------- Comment #5 From 2013-07-04 16:46:34 -------
Ой, я такого ни разу не ловил.  Возможно, стоит ещё раз посмотреть на
альтернативный вариант разворачивалки из bug #27786 (+/- предварительно
создавать и оставлять в образе информацию о суммарном объёме для оценки степени
готовности -- прямо напрашивается на кэширование).
------- Comment #6 From 2013-07-04 19:03:19 -------
Хм, я тоже такого не видел. Там сейчас довольно простой алгоритм, основанный
просто на периодическом запуске du. Боюсь, что пока не известно как это
воспроизвести, вряд ли что-то можно сделать.
------- Comment #7 From 2013-07-04 19:26:13 -------
Вот, нашел такое же упоминание:
http://forum.altlinux.org/index.php/topic,29430.msg206302.html#msg206302
Только там пользователь грешил на очень старый компьютер, но у меня ситуация с
Sony VAIO SVE1412E1RW -
http://store.sony.ru/computers/compact_noytbyk/series_e14/index.php?prodid=307005&acc_from_page=
------- Comment #8 From 2013-07-04 19:33:37 -------
(В ответ на комментарий №6)
> Хм, я тоже такого не видел. Там сейчас довольно простой алгоритм, основанный
> просто на периодическом запуске du. Боюсь, что пока не известно как это
> воспроизвести, вряд ли что-то можно сделать.

судя по описанию, думаю, что надо смотреть не на проверку du по ходу установки,
а скорее на инициализацию.
------- Comment #9 From 2013-07-04 19:47:00 -------
Я это воспроизвел. Если ставиться на неотформатированный раздел, то ситуация
будет именно такая.
Надо понимать, что установка с live - это тупо копирование содержимого. Что при
этом получилось и как работает такая система - неизвестно никому. Причем
посмотреть какие пакеты были установлены до установки с live уже нельзя (база
rpm тоже скопирована с live и затерла старую). Так что какие ошметки старой
системы остались и как они влияют - выяснить не представляется возможным.
Определенно надо в alterator-livecd добавить warning на случай такой ситуации,
предупреждающий, что пользователь собирается выстрелить себе в ногу.
------- Comment #10 From 2013-07-04 23:17:16 -------
(В ответ на комментарий №9)
> Я это воспроизвел. Если ставиться на неотформатированный раздел, то ситуация
> будет именно такая.
> Надо понимать, что установка с live - это тупо копирование содержимого. Что при
> этом получилось и как работает такая система - неизвестно никому. Причем
> посмотреть какие пакеты были установлены до установки с live уже нельзя (база
> rpm тоже скопирована с live и затерла старую). Так что какие ошметки старой
> системы остались и как они влияют - выяснить не представляется возможным.
> Определенно надо в alterator-livecd добавить warning на случай такой ситуации,
> предупреждающий, что пользователь собирается выстрелить себе в ногу.

А подробнее можно? Потому-что мне тут ничего не понятно. Алгоритм установки
прост и обычен, как я делал всегда - разбиваю винт на нужные для линукса
разделы (в данном случае присутствовали уже два NTFS-раздела), выбираю файловую
систему, ставлю галочку "форматировать" - жму далее. Что здесь не правильно
сделано и почему на <= 6-х ветках это работало?
------- Comment #11 From 2013-07-05 01:02:13 -------
Если раздел форматировался, то мне не ясно как такое может произойти.
------- Comment #12 From 2013-07-05 01:14:07 -------
(В ответ на комментарий №11)
> Если раздел форматировался, то мне не ясно как такое может произойти.

Есть винт на свежекупленном ноуте, в режиме Live он был полностью очищен,
заново создата файловая таблица, а потом был разбит так - два NTFS-раздела, и в
конце неразмеченная область порядка 20 гиг. Сначала была установлена венда на
первый раздел, далее из режима Live был запущен установщик, в котором
неразмеченная область была поделена на нужные резделы и нажата кнопочка
"Далее". Как я мог не поставить галочку "форматировать" на разделе, который
только-что создавался из неразмеченной области?
------- Comment #13 From 2013-07-05 02:59:24 -------
Итак, первый ноут был из семейства Sony Vaio. Сегодня мне достался так же
свежекупленный Asus k56cb-xx283, Core i5, 6 гиг ОЗУ и все такое. Из Live-режима
полностью очистил винт (ноут шел с магазина с FreeDOS-ом), подготовил 2
NTFS-раздела под систему и файлопомойку, оставил ~20 гиг в конце винта
неразмеченными. Установил винду на первый раздел. Загрузился в LiveDVD5,
запустил установщик, сменил NTFS-разделам точку монтирования на /mnt/disk_c и
/mnt/disk_d (людям так проще и понятней), в неразмеченной области создал
сначала своп, остальной остаток под корень - ext2/3/4, параметры по умолчанию -
дальше. Все повноритось абсолютно точно - 10-20 секунд "установка системы" с
прогрессбаром на 0%, потом резко на 100% и так висело примерно 70 минут.
Напомню - это 5-й этап. Потом прошло дальше на выбор куда ставить загрузчик и
дальше уже как по маслу.
------- Comment #14 From 2013-07-06 17:47:23 -------
(В ответ на комментарий №13)
> Итак, первый ноут был из семейства Sony Vaio. Сегодня мне достался так же
> свежекупленный Asus k56cb-xx283, Core i5, 6 гиг ОЗУ и все такое. Из Live-режима
> полностью очистил винт (ноут шел с магазина с FreeDOS-ом), подготовил 2
> NTFS-раздела под систему и файлопомойку, оставил ~20 гиг в конце винта
> неразмеченными. Установил винду на первый раздел. Загрузился в LiveDVD5,
> запустил установщик, сменил NTFS-разделам точку монтирования на /mnt/disk_c и
> /mnt/disk_d (людям так проще и понятней), 

Есть подозрение, что именно после этого все пошло не так.
2sem@: если не выглядит бредом, то прошу проверить.
------- Comment #15 From 2013-07-08 15:38:56 -------
Да, теперь понятно в чем проблема.
------- Comment #16 From 2013-07-23 16:45:55 -------
Fixed in Simply Linux 7.0.1.